Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Variables
regex.h File Reference
`#include "ruby/oniguruma.h"`
Include dependency graph for regex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | mbclen(p, e, enc) rb_enc_mbclen((p),(e),(enc))

## Variables
ONIG_EXTERN OnigEncoding | OnigEncDefaultCharEncoding

## Macro Definition Documentation

#define mbclen | ( |  | p,
|  |  | e,
|  |  | enc
| ) |  | rb_enc_mbclen((p),(e),(enc))

Definition at line 35 of file regex.h.

Referenced by rb_reg_expr_str(), rb_reg_quote(), and rb_reg_regsub().

## Variable Documentation

ONIG_EXTERN OnigEncoding OnigEncDefaultCharEncoding

Definition at line 33 of file regex.h.